com.corticon.rulesemf.canonicalrulemodel.ruleflow

## Interface RuleflowFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface RuleflowFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `RuleflowPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RuleflowFactory` | `eINSTANCE` The singleton instance of the factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActivityNode` | `createActivityNode()` Returns a new object of class 'Activity Node'
    `Connector` | `createConnector()` Returns a new object of class 'Connector'
    `Decision` | `createDecision()` Returns a new object of class 'Decision'
    `DecisionNode` | `createDecisionNode()` Returns a new object of class 'Decision Node'
    `Flow` | `createFlow()` Returns a new object of class 'Flow'
    `FlowControl` | `createFlowControl()` Returns a new object of class 'Flow Control'
    `RuleActivity` | `createRuleActivity()` Returns a new object of class 'Rule Activity'
    `Ruleflow` | `createRuleflow()` Returns a new object of class 'Ruleflow'
    `Subflow` | `createSubflow()` Returns a new object of class 'Subflow'
    `TerminateNode` | `createTerminateNode()` Returns a new object of class 'Terminate Node'
    `RuleflowPackage` | `getRuleflowPackage()` Returns the package supported by this factory

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final RuleflowFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createActivityNode

          ActivityNode createActivityNode()

      Returns a new object of class 'Activity Node'.
      Returns:
        a new object of class 'Activity Node'.

    - #### createDecision

          Decision createDecision()

      Returns a new object of class 'Decision'.
      Returns:
        a new object of class 'Decision'.

    - #### createDecisionNode

          DecisionNode createDecisionNode()

      Returns a new object of class 'Decision Node'.
      Returns:
        a new object of class 'Decision Node'.

    - #### createFlowControl

          FlowControl createFlowControl()

      Returns a new object of class 'Flow Control'.
      Returns:
        a new object of class 'Flow Control'.

    - #### createRuleActivity

          RuleActivity createRuleActivity()

      Returns a new object of class 'Rule Activity'.
      Returns:
        a new object of class 'Rule Activity'.

    - #### createRuleflow

          Ruleflow createRuleflow()

      Returns a new object of class 'Ruleflow'.
      Returns:
        a new object of class 'Ruleflow'.

    - #### createTerminateNode

          TerminateNode createTerminateNode()

      Returns a new object of class 'Terminate Node'.
      Returns:
        a new object of class 'Terminate Node'.

    - #### createFlow

          Flow createFlow()

      Returns a new object of class 'Flow'.
      Returns:
        a new object of class 'Flow'.

    - #### createSubflow

          Subflow createSubflow()

      Returns a new object of class 'Subflow'.
      Returns:
        a new object of class 'Subflow'.

    - #### createConnector

          Connector createConnector()

      Returns a new object of class 'Connector'.
      Returns:
        a new object of class 'Connector'.

    - #### getRuleflowPackage

          RuleflowPackage getRuleflowPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.